Bug 865631 - Global Resource gets lost in UI when nested in Service Group Resource
Global Resource gets lost in UI when nested in Service Group Resource
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.3
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Ryan McCabe
cluster-qe@redhat.com
:
Depends On:
Blocks: 986467
  Show dependency treegraph
 
Reported: 2012-10-11 19:08 EDT by Christoph Torlinsky
Modified: 2015-10-21 18:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 986467 (view as bug list)
Environment:
Last Closed: 2015-10-21 18:29:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot Global Resources (83.02 KB, image/png)
2012-10-11 19:08 EDT, Christoph Torlinsky
no flags Details
Webserver SG view tab (66.74 KB, image/png)
2012-10-11 19:10 EDT, Christoph Torlinsky
no flags Details
Webserver SG view tab "Global Resource" (62.75 KB, image/png)
2012-10-11 19:10 EDT, Christoph Torlinsky
no flags Details

  None (edit)
Description Christoph Torlinsky 2012-10-11 19:08:11 EDT
Created attachment 625732 [details]
Screenshot Global Resources

Description of problem:

When a "global resource" is assigned to a Service Groups "resource" as a "child
resource" it becomes impossible to tell where that resource has ended
up in other than looking at the actual cluster.conf or looking through
all the Service Groups (does not scale well)
The Global Resource simply gets a checkmark "in use" , but no correlation
where it is belonging too.
Version-Release number of selected component (if applicable):
6.3

How reproducible:


Steps to Reproduce:
1.create a cluster.conf with a nested child resource that is a global resource

<?xml version="1.0"?>
<cluster config_version="49" name="webcluster">
        <fence_daemon post_fail_delay="3" post_join_delay="20"/>
        <clusternodes>
                <clusternode name="hanode1" nodeid="1"/>
                <clusternode name="hanode2" nodeid="2"/>
        </clusternodes>
        <cman expected_votes="1" two_node="1"/>
        <rm>
                <resources>
                        <script file="/etc/init.d/httpd start" name="httpd"/>
                </resources>
                <service autostart="0" name="webserver" recovery="relocate">
                        <apache config_file="/etc/httpd/conf/httpd.conf" name="w
eb" server_root="/etc/httpd" shutdown_wait="0"/>
                        <ip address="10.1.3.100">
                                <script ref="httpd"/>
                        </ip>
                </service>
        </rm>
        <logging debug="on"/>
</cluster>

2.check luci gui tabs "resources" and "service groups" and compare 
3.create many service groups
  
Actual results:

It's impossible to tell where the resources belong to in the luci tab,
other than "in use" checked, we must go through all the service groups manually
or just look at cluster.conf

Expected results:
I would have expected to see "in use" check marked and showing just the name
of the service group for example, where i could drill down to find my resource as a child resource.


Additional info:
Comment 1 Christoph Torlinsky 2012-10-11 19:10:03 EDT
Created attachment 625733 [details]
Webserver SG view tab
Comment 2 Christoph Torlinsky 2012-10-11 19:10:42 EDT
Created attachment 625734 [details]
Webserver SG view tab "Global Resource"
Comment 4 Christoph Torlinsky 2012-10-11 19:20:35 EDT
Probably worth calling for an enhancement here in the UI.
Comment 11 Steven J. Levine 2013-07-19 17:03:43 EDT
Cloning this as a documentation bug just to ensure that when this is resolved the documentation is consistent with the UI.

Note You need to log in before you can comment on or make changes to this bug.